$kind: http-request
url: "{{Local_URL}}/amcos/members/01JP4WZM3RE7Q12YP0H9NN5WZ7/update"
method: PUT
headers:
  Accept: application/json
body:
  type: json
  content: "{\r

    \  \"registrationType\": \"MEMBER\",\r

    \  \"nin\": \"21534565891198731129\",\r

    \  \"firstName\": \"Brian\",\r

    \  \"middleName\": \"Platin\",\r

    \  \"lastName\": \"Mwoshi\",\r

    \  \"gender\": \"MALE\",\r

    \  \"dateOfBirth\": \"2000-10-21\",\r

    \  \"phoneNumber\": \"255602781731\",\r

    \  \"noOfShares\": 0.00,\r

    \  \"savingAmount\": 0.00,\r

    \  \"wardPostCode\": \"23513\",\r

    \  \"referenceNumber\": \"292\",\r

    \  \"maritalStatus\": \"SINGLE\",\r

    \  \"villageStreet\": \"villageStreet_c4c3d127bb9d\",\r

    \  \"address\": \"address_dd2eb6c88102\",\r

    \  \"tinNumber\": null,\r

    \  \"email\": null,\r

    \  \"educationLevelUid\": \"023a89d3-9eab-4b76-a5ff-fb25afb94948\",\r

    \  \"successor\": [\r

    \    {\r

    \      \"nin\": \"21834565190498767431\",\r

    \      \"firstName\": \"Mufa\",\r

    \      \"middleName\": \"AAAA\",\r

    \      \"lastName\": \"ADAA\",\r

    \      \"gender\": \"MALE\",\r

    \      \"dateOfBirth\": \"2000-03-02\",\r

    \      \"phoneNumber\": \"255610181972\",\r

    \      \"referenceNumber\": \"245\",\r

    \      \"address\": \"address_3b9ba46d8c4e\",\r

    \      \"email\": null,\r

    \      \"relationshipType\": \"son\",\r

    \      \"nationality\": \"nationality_486f80a85898\"\r

    \    }\r

    \  ],\r

    \  \"nationality\": \"nationality_adc7b84d5454\",\r

    \  \"contactPerson\": false,\r

    \  \"steeringCommittee\": false\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 2000
